# TFIDF package scoring function
def score(pkg):
	if not pkg in freqs: return 0
	return local[pkg] * math.log(docCount / freqs[pkg])

# Sort the package list by TFIDF score
packages = local.keys()
packages.sort(key=score, reverse=True)

# Output the sorted package list
for idx, pkg in enumerate(packages):
	print "%2d) %s" % (idx+1, pkg)
	if idx > 30: break
